# RAN! Documentation

## FAQ

#### GraphQL

- _I have graphQL endpoint for my project. How can I use it?_

  Just change the URL on [/libraries/apolloClient.js](/libraries/apolloClient.js) line:6

- _What is GraphQL?_

  - [http://graphql.org/](http://graphql.org/)
  - [https://www.quora.com/What-is-GraphQL](https://www.quora.com/What-is-GraphQL)
  - [https://www.pluralsight.com/courses/graphql-scalable-apis](https://www.pluralsight.com/courses/graphql-scalable-apis)

- _Which GraphQL service should I use?_

  I always use [GraphCool](https://www.graph.cool) for GraphQL service. It has really easy-to-use UI and customer support is amazing. Also there is [Scaphold.io](https://scaphold.io). All of them can work with **RAN!**

- _I want to use my own GraphQL server. Is it possible?_

  Yes! You just need to change graphQL url with your service URL and that's all.

#### Node.JS

- _What is Next.js?_

  - [https://zeit.co/blog/next2](https://zeit.co/blog/next2)
  - [https://github.com/zeit/next.js/](https://github.com/zeit/next.js/)
  - [https://scotch.io/tutorials/react-universal-with-next-js-server-side-react](https://scotch.io/tutorials/react-universal-with-next-js-server-side-react)

- _Why do you use Express?_

  You can use also HAPI and Koa. [Click here for details](https://github.com/zeit/next.js/#custom-server-and-routing)

#### Styling (CSS)

- _What is CSS-in-JS?_

  - [css-in-javascript-the-future-of-component-based-styling-70b161a79a32](https://medium.freecodecamp.com/css-in-javascript-the-future-of-component-based-styling-70b161a79a32)
  - [css-in-js-the-argument-refined-471c7eb83955](https://medium.com/@steida/css-in-js-the-argument-refined-471c7eb83955)
  - [stop-using-css-in-javascript-for-web-development-fa32fb873dcc](https://medium.com/@gajus/stop-using-css-in-javascript-for-web-development-fa32fb873dcc)

- _What is Styled-Components?_

  - [https://www.styled-components.com/](https://www.styled-components.com/)
  - [https://github.com/styled-components/styled-components](https://github.com/styled-components/styled-components)
  - [a-5-minute-intro-to-styled-components-41f40eb7cd55](https://medium.freecodecamp.com/a-5-minute-intro-to-styled-components-41f40eb7cd55)
  - [styled-components-enforcing-best-practices-component-based-systems/](https://www.smashingmagazine.com/2017/01/styled-components-enforcing-best-practices-component-based-systems/)

#### Deployment

- _I want to deploy my app to XXXXX service. How can I do that?_

  Mostly, It should work if you follow [this way](/docs/Deployment/digital-ocean.md). If It doesn't work, You can create Issue on Github or search on Stack Overflow.
